import express, {json} from "express";
import cors from "cors";
import "express-async-errors";
import {handleError} from "./utils/errors";
import rateLimit from 'express-rate-limit'
import {adRouter} from "./routers/ad-router";
import {config} from "./config/config";

const app = express();

//app.use(cors({
//    origin: config.corsOrigin,
//}));

app.use(json());
app.use(rateLimit({
    windowMs: 5 * 60 * 1000, // 5 minutes
    max: 100, // Limit each IP to 100 requests per `window` (here, per 5 minutes)
    // 100 zapytań na 5 minut
}));

app.use('/api/ad', adRouter);

/**
 Sprawdzenie globalnej obsługi błędów z podziałem na ogólny błąd serwera i nasz własny

app.get('/', async(req, res)=>{
    // throw new Error('Daaamn!');
    throw new ValidationError('Daaamn!')
})
*/
app.use(handleError);

app.listen(3001, '0.0.0.0', ()=>{
    console.log('Listening on http://localhost:3001')
});