"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express = require("express");
require("express-async-errors");
const cors_1 = __importDefault(require("cors"));
const express_1 = require("express");
require("./utils/db");
const errors_1 = require("./utils/errors");
const home_1 = require("./routers/home");
const answers_1 = require("./routers/answers");
const templates_1 = require("./routers/templates");
const config_1 = require("./config/config");
const app = express();
app.use((0, cors_1.default)({
    origin: config_1.config.corsOrigin,
}));
app.use((0, express_1.json)());
app.use('/', home_1.homeRouter);
app.use('/api/answers', answers_1.answersRouter);
app.use('/api/templates', templates_1.templatesRouter);
app.use(errors_1.handleError);
app.listen(3001, '0.0.0.0', () => {
    console.log('Listening on port http://localhost:3001');
});
//# sourceMappingURL=index.js.map