"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = require("../utils/db");
const template_record_1 = require("../records/template.record");
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield db_1.pool.end();
}));
test('testing asynchronous code', () => __awaiter(void 0, void 0, void 0, function* () {
    const templates = yield template_record_1.TemplateRecord.getAll();
    expect(templates).toBeDefined();
}));
test('TemplateRecord.getOne returns data from database for one entry', () => __awaiter(void 0, void 0, void 0, function* () {
    const template = yield template_record_1.TemplateRecord.getOne('f7a9eba4-9704-11ec-b0c8-309c23e04364');
    expect(template).toBeDefined();
    expect(template.id).toBe('f7a9eba4-9704-11ec-b0c8-309c23e04364');
}));
test('TemplateRecord.getOne returns null from database for not existing entry', () => __awaiter(void 0, void 0, void 0, function* () {
    const template = yield template_record_1.TemplateRecord.getOne('---');
    expect(template).toBeNull();
}));
test('TemplateRecord.getAll returns array of found entries', () => __awaiter(void 0, void 0, void 0, function* () {
    const templates = yield template_record_1.TemplateRecord.getAll();
    expect(templates).not.toBe([]);
    expect(templates[0].id).toBeDefined();
}));
//# sourceMappingURL=template.test.js.map